ошибка обновления питона 2.7.12 на xenial [дубликат]

Я сделал следующее, но так и не смог обновить python2 до последней сборки

sudo apt update

apt list --upgradable

Listing... Done
libpython2.7/xenial-updates,xenial-security 2.7.12-1ubuntu0~16.04.14 amd64 [upgradable from: 2.7.12-1ubuntu0~16.04.13]
libpython2.7-dev/xenial-updates,xenial-security 2.7.12-1ubuntu0~16.04.14 amd64 [upgradable from: 2.7.12-1ubuntu0~16.04.13]
libpython2.7-minimal/xenial-updates,xenial-security 2.7.12-1ubuntu0~16.04.14 amd64 [upgradable from: 2.7.12-1ubuntu0~16.04.13]
libpython2.7-stdlib/xenial-updates,xenial-security 2.7.12-1ubuntu0~16.04.14 amd64 [upgradable from: 2.7.12-1ubuntu0~16.04.13]
python2.7/xenial-updates,xenial-security 2.7.12-1ubuntu0~16.04.14 amd64 [upgradable from: 2.7.12-1ubuntu0~16.04.13]
python2.7-dev/xenial-updates,xenial-security 2.7.12-1ubuntu0~16.04.14 amd64 [upgradable from: 2.7.12-1ubuntu0~16.04.13]
python2.7-minimal/xenial-updates,xenial-security 2.7.12-1ubuntu0~16.04.14 amd64 [upgradable from: 2.7.12-1ubuntu0~16.04.13]

sudo apt upgrade

Reading package lists... Done
Building dependency tree       
Reading state information... Done
Calculating upgrade... Done
The following packages will be upgraded:
  libpython2.7 libpython2.7-dev libpython2.7-minimal libpython2.7-stdlib python2.7 python2.7-dev python2.7-minimal
7 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
Need to get 32.9 MB of archives.
After this operation, 18.4 kB of additional disk space will be used.
Do you want to continue? [Y/n] 
Err:1 http://security.ubuntu.com/ubuntu xenial-security/main amd64 python2.7-dev amd64 2.7.12-1ubuntu0~16.04.14
  404  Not Found [IP: 91.189.88.152 80]
Ign:2 http://security.ubuntu.com/ubuntu xenial-security/main amd64 libpython2.7-dev amd64 2.7.12-1ubuntu0~16.04.14
Ign:3 http://security.ubuntu.com/ubuntu xenial-security/main amd64 libpython2.7 amd64 2.7.12-1ubuntu0~16.04.14
Ign:4 http://security.ubuntu.com/ubuntu xenial-security/main amd64 python2.7 amd64 2.7.12-1ubuntu0~16.04.14
Ign:5 http://security.ubuntu.com/ubuntu xenial-security/main amd64 libpython2.7-stdlib amd64 2.7.12-1ubuntu0~16.04.14
Ign:6 http://security.ubuntu.com/ubuntu xenial-security/main amd64 python2.7-minimal amd64 2.7.12-1ubuntu0~16.04.14
Ign:7 http://security.ubuntu.com/ubuntu xenial-security/main amd64 libpython2.7-minimal amd64 2.7.12-1ubuntu0~16.04.14
Err:1 http://security.ubuntu.com/ubuntu xenial-security/main amd64 python2.7-dev amd64 2.7.12-1ubuntu0~16.04.14
  404  Not Found [IP: 91.189.88.152 80]
Err:2 http://security.ubuntu.com/ubuntu xenial-security/main amd64 libpython2.7-dev amd64 2.7.12-1ubuntu0~16.04.14
  404  Not Found [IP: 91.189.88.152 80]
Err:3 http://security.ubuntu.com/ubuntu xenial-security/main amd64 libpython2.7 amd64 2.7.12-1ubuntu0~16.04.14
  404  Not Found [IP: 91.189.88.152 80]
Err:4 http://security.ubuntu.com/ubuntu xenial-security/main amd64 python2.7 amd64 2.7.12-1ubuntu0~16.04.14
  404  Not Found [IP: 91.189.88.152 80]
Err:5 http://security.ubuntu.com/ubuntu xenial-security/main amd64 libpython2.7-stdlib amd64 2.7.12-1ubuntu0~16.04.14
  404  Not Found [IP: 91.189.88.152 80]
Err:6 http://security.ubuntu.com/ubuntu xenial-security/main amd64 python2.7-minimal amd64 2.7.12-1ubuntu0~16.04.14
  404  Not Found [IP: 91.189.88.152 80]
Err:7 http://security.ubuntu.com/ubuntu xenial-security/main amd64 libpython2.7-minimal amd64 2.7.12-1ubuntu0~16.04.14
  404  Not Found [IP: 91.189.88.152 80]
E: Failed to fetch http://security.ubuntu.com/ubuntu/pool/main/p/python2.7/python2.7-dev_2.7.12-1ubuntu0~16.04.14_amd64.deb  404  Not Found [IP: 91.189.88.152 80]

E: Failed to fetch http://security.ubuntu.com/ubuntu/pool/main/p/python2.7/libpython2.7-dev_2.7.12-1ubuntu0~16.04.14_amd64.deb  404  Not Found [IP: 91.189.88.152 80]

E: Failed to fetch http://security.ubuntu.com/ubuntu/pool/main/p/python2.7/libpython2.7_2.7.12-1ubuntu0~16.04.14_amd64.deb  404  Not Found [IP: 91.189.88.152 80]

E: Failed to fetch http://security.ubuntu.com/ubuntu/pool/main/p/python2.7/python2.7_2.7.12-1ubuntu0~16.04.14_amd64.deb  404  Not Found [IP: 91.189.88.152 80]

E: Failed to fetch http://security.ubuntu.com/ubuntu/pool/main/p/python2.7/libpython2.7-stdlib_2.7.12-1ubuntu0~16.04.14_amd64.deb  404  Not Found [IP: 91.189.88.152 80]

E: Failed to fetch http://security.ubuntu.com/ubuntu/pool/main/p/python2.7/python2.7-minimal_2.7.12-1ubuntu0~16.04.14_amd64.deb  404  Not Found [IP: 91.189.88.152 80]

E: Failed to fetch http://security.ubuntu.com/ubuntu/pool/main/p/python2.7/libpython2.7-minimal_2.7.12-1ubuntu0~16.04.14_amd64.deb  404  Not Found [IP: 91.189.88.152 80]

E: Unable to fetch some archives, maybe run apt-get update or try with --fix-missing?

sudo apt upgrade --fix-missing

Reading package lists... Done
Building dependency tree       
Reading state information... Done
Calculating upgrade... Done
The following packages will be upgraded:
  libpython2.7 libpython2.7-dev libpython2.7-minimal libpython2.7-stdlib python2.7 python2.7-dev python2.7-minimal
7 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
Need to get 32.9 MB of archives.
After this operation, 18.4 kB of additional disk space will be used.
Do you want to continue? [Y/n] 
Err:1 http://security.ubuntu.com/ubuntu xenial-security/main amd64 python2.7-dev amd64 2.7.12-1ubuntu0~16.04.14
  404  Not Found [IP: 91.189.88.152 80]
Ign:2 http://security.ubuntu.com/ubuntu xenial-security/main amd64 libpython2.7-dev amd64 2.7.12-1ubuntu0~16.04.14
Ign:3 http://security.ubuntu.com/ubuntu xenial-security/main amd64 libpython2.7 amd64 2.7.12-1ubuntu0~16.04.14
Ign:4 http://security.ubuntu.com/ubuntu xenial-security/main amd64 python2.7 amd64 2.7.12-1ubuntu0~16.04.14
Ign:5 http://security.ubuntu.com/ubuntu xenial-security/main amd64 libpython2.7-stdlib amd64 2.7.12-1ubuntu0~16.04.14
Ign:6 http://security.ubuntu.com/ubuntu xenial-security/main amd64 python2.7-minimal amd64 2.7.12-1ubuntu0~16.04.14
Ign:7 http://security.ubuntu.com/ubuntu xenial-security/main amd64 libpython2.7-minimal amd64 2.7.12-1ubuntu0~16.04.14
Err:1 http://security.ubuntu.com/ubuntu xenial-security/main amd64 python2.7-dev amd64 2.7.12-1ubuntu0~16.04.14
  404  Not Found [IP: 91.189.88.152 80]
Err:2 http://security.ubuntu.com/ubuntu xenial-security/main amd64 libpython2.7-dev amd64 2.7.12-1ubuntu0~16.04.14
  404  Not Found [IP: 91.189.88.152 80]
Err:3 http://security.ubuntu.com/ubuntu xenial-security/main amd64 libpython2.7 amd64 2.7.12-1ubuntu0~16.04.14
  404  Not Found [IP: 91.189.88.152 80]
Err:4 http://security.ubuntu.com/ubuntu xenial-security/main amd64 python2.7 amd64 2.7.12-1ubuntu0~16.04.14
  404  Not Found [IP: 91.189.88.152 80]
Err:5 http://security.ubuntu.com/ubuntu xenial-security/main amd64 libpython2.7-stdlib amd64 2.7.12-1ubuntu0~16.04.14
  404  Not Found [IP: 91.189.88.152 80]
Err:6 http://security.ubuntu.com/ubuntu xenial-security/main amd64 python2.7-minimal amd64 2.7.12-1ubuntu0~16.04.14
  404  Not Found [IP: 91.189.88.152 80]
Err:7 http://security.ubuntu.com/ubuntu xenial-security/main amd64 libpython2.7-minimal amd64 2.7.12-1ubuntu0~16.04.14
  404  Not Found [IP: 91.189.88.152 80]
E: Failed to fetch http://security.ubuntu.com/ubuntu/pool/main/p/python2.7/python2.7-dev_2.7.12-1ubuntu0~16.04.14_amd64.deb  404  Not Found [IP: 91.189.88.152 80]

E: Failed to fetch http://security.ubuntu.com/ubuntu/pool/main/p/python2.7/libpython2.7-dev_2.7.12-1ubuntu0~16.04.14_amd64.deb  404  Not Found [IP: 91.189.88.152 80]

E: Failed to fetch http://security.ubuntu.com/ubuntu/pool/main/p/python2.7/libpython2.7_2.7.12-1ubuntu0~16.04.14_amd64.deb  404  Not Found [IP: 91.189.88.152 80]

E: Failed to fetch http://security.ubuntu.com/ubuntu/pool/main/p/python2.7/python2.7_2.7.12-1ubuntu0~16.04.14_amd64.deb  404  Not Found [IP: 91.189.88.152 80]

E: Failed to fetch http://security.ubuntu.com/ubuntu/pool/main/p/python2.7/libpython2.7-stdlib_2.7.12-1ubuntu0~16.04.14_amd64.deb  404  Not Found [IP: 91.189.88.152 80]

E: Failed to fetch http://security.ubuntu.com/ubuntu/pool/main/p/python2.7/python2.7-minimal_2.7.12-1ubuntu0~16.04.14_amd64.deb  404  Not Found [IP: 91.189.88.152 80]

E: Failed to fetch http://security.ubuntu.com/ubuntu/pool/main/p/python2.7/libpython2.7-minimal_2.7.12-1ubuntu0~16.04.14_amd64.deb  404  Not Found [IP: 91.189.88.152 80]
1
задан 25 February 2021 в 18:15

1 ответ

Содержание пакетов, возможно, ударили версии пакета Python к адресу https://ubuntu.com/security/notics/usn-4754-1 . Если вы посмотрите на http://security.ubuntu.com/ubuntu/pool/main/p/python2.7/ , вы увидите, что он все еще имеет предыдущую версию 2.7.12---ubuntu0 ~ 16.04.13, тогда как APT ищет 2.7.12-1ubuntu0 ~ 16.04.14. Я предполагаю, что upstream packages.gz (список пакетов) содержит ударную версию пакета, но зеркало на самом деле не имеет новой версии пакета, которую она ссылается.

Редактировать: Похоже, что обновленные пакеты теперь существуют в репо. Подтверждено докеренной сборкой Xenial, которая устанавливает Python 2.7.

4
ответ дан 18 March 2021 в 23:31

Другие вопросы по тегам:

Похожие вопросы: